get_example_LAScatalog <- function(path){
  # Load point cloud as LAScatalog
  LASfile <- system.file("extdata", "MixedConifer.laz", package="lidR")
  ctg <- lidR::readLAScatalog(LASfile)

  # Retile LAScatalog to simulate larger data set consisting of several tiles
  lidR::opt_chunk_buffer(ctg) <- 0
  lidR::opt_chunk_size(ctg) <- 30
  lidR::opt_output_files(ctg) <- paste0(path,"/", "Forest_{ID}")
  ctg = lidR::catalog_retile(ctg)

  # reset
  lidR::opt_chunk_size(ctg) <- 0

  return(ctg)
}
