.libPaths("~/R/v411")
library(forestHPC)
library(lidR)

# define global variables
proj_dir <- "~/tmp/lidR_arrayjob_example/"
out_path  <- paste0(proj_dir, "out/")
data_path <- paste0(proj_dir, "data/")

# create output directory if not existing
if(!dir.exists(out_path)){dir.create(out_path, recursive = TRUE)}

# read parameter values
args = commandArgs(trailingOnly=TRUE)
if (length(args)==0) {
  stop("no parameters", call.=FALSE)
} else if (length(args)==1) {
  id <- as.integer(args[1])
}

# read LASCatalog and limit to analysis to tile of interest
files <- list.files(path = data_path, pattern = "\\.las$", full.names = T)
ctg <- lidR::readLAScatalog(files)
ctg$processed <- FALSE
ctg$processed[id] <- TRUE

# define workflow variables
lidR::opt_chunk_buffer(ctg) <- 5
lidR::opt_select(ctg) <- "xyz"
lidR::opt_output_files(ctg) <- paste0(out_path, "/{ORIGINALFILENAME}_watershed")

# watershed workflow ###########################################################
forestHPC::do_watershed(ctg)


