#!/bin/bash

#SBATCH -J lidR_arrayjob_example
#SBATCH -o /usr/users/%u/%x-%A-%a.log
#SBATCH -t 0-00:10:00

#SBATCH --mem-per-cpu=2G

# Load modules here
module load spack-user
source $SPACK_USER_ROOT/share/spack/setup-env.sh
spack load geos@3.9.1
module load fftw
module load r/4.1.1
module load gdal/3.4.1

echo "SLURM_JOB_NODELIST"=$SLURM_JOB_NODELIST
echo "CPU: $SLURM_CPUS_ON_NODE"
echo "SLURM_NNODES"=$SLURM_NNODES
echo "Array ID" $SLURM_ARRAY_TASK_ID

# Execute your app
time Rscript --vanilla ~/projects/workshop-forests-in-hpc/forestHPC/inst/script/lidR_arrayjob_example.R $SLURM_ARRAY_TASK_ID

# execute: sbatch -a 1-12 ~/projects/workshop-forests-in-hpc/forestHPC/inst/script/lidR_arrayjob_example.sh
