.libPaths("/usr/users/hgronen/R/v411")

library(lidR)

# example from ?lidR::dalponte

LASfile <- system.file("extdata", "MixedConifer.laz", package="lidR")
las <- readLAS(LASfile, select = "xyz")
col <- pastel.colors(200)

# Using raster because focal does not exist in stars
chm <- rasterize_canopy(las, 0.5, p2r(0.3), pkg = "raster")
ker <- matrix(1,3,3)
chm <- raster::focal(chm, w = ker, fun = mean, na.rm = TRUE)

ttops <- locate_trees(chm, lmf(4, 2))
las   <- segment_trees(las, dalponte2016(chm, ttops), attribute="crown_id")
#plot(las, color = "treeID", colorPalette = col)
writeLAS(las, "~/out/lidr_example.laz")
