% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/do_watershed.R
\name{do_watershed}
\alias{do_watershed}
\title{Apply the watershed workflow}
\usage{
do_watershed(las, species_map_path = NULL, data_set, buffer = NULL)
}
\arguments{
\item{las}{An object of class \link[lidR:LAS-class]{LAS} or \link[lidR:LAScatalog-class]{LAScatalog}.}
}
\value{
If the input is a \code{LAS} object, return a LAS object.
        If the input is a \code{LAScatalog} las files are written to disk.
}
\description{
Apply the watershed workflow
}
\examples{
# Attention: The example las file already contains a column "treeID".
#            Here we will save the tree crown IDs in "crown_id".

# LAScatalog ################################################################

library(lidR)
library(forestHPC)

tmp_dir <- tempdir()
ctg <- forestHPC:::get_example_LAScatalog(path = tmp_dir)

list.files(tmp_dir)

# define LAScatalog options
lidR::opt_chunk_buffer(ctg) <- 5
lidR::opt_output_files(ctg) <- paste0(tmp_dir, "/{ORIGINALFILENAME}_watershed")
lidR::opt::select("xyz")


ctg <- do_watershed(ctg)

las <- lidR::readLAS(ctg$filename[1])

plot(las, color = "treeID")

}
